# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include workstation::mac::homebrew::manage
class workstation::mac::homebrew::manage (
  Optional[String[1]] $github_token = $workstation::github_token,
  String[1] $user = $workstation::user,
) {

  # This should be submitted as a PR to puppet-homebrew
  $chown_dirs = [
    '/usr/local/sbin',
    '/usr/local/share/man/man1',
    '/usr/local/share/man/man2',
    '/usr/local/share/man/man3',
    '/usr/local/share/man/man4',
    '/usr/local/share/man/man5',
    '/usr/local/share/man/man6',
    '/usr/local/share/man/man7',
    '/usr/local/share/man/man8',
    '/usr/local/share/man/man9',
    '/usr/local/share/man/mann',
  ]

  file { $chown_dirs:
    ensure => directory,
    owner  => $user,
  }

  class { 'homebrew':
    user         => $user,
    github_token => $github_token,
    require      => File[$chown_dirs],
  }

}
